Summary:        Open Collaboration Service providers library
Name:           attica
Version:        0.3.0
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Base 
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/attica/%{name}-%{version}.tar.bz2
URL:            https://projects.kde.org/projects/kdesupport/attica
BuildRequires:  qt4-devel
BuildRequires:  cmake

%description
A library to access Open Collaboration Service providers. 
Required to access OSC providers in get hot new stuff in KDE4.

#--------------------------------------------------------------------

%define libattica %mklibname attica %attica_major
%define attica_major 0

%package -n %libattica
Summary:       Qt library that implements the Open Collaboration Services API 
Group:          System/Libraries

%description -n %libattica
A library to access Open Collaboration Service providers
Required to access OSC providers in get hot new stuff.

%files -n %libattica
%{_libdir}/libattica.so.%{attica_major}*

#--------------------------------------------------------------------
%define attica_devel %mklibname attica -d

%package -n %attica_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libattica = %version-%release
Obsoletes:       attica-devel < 0.3.0
Provides:        attica-devel = %{version}-%{release}

%description -n %attica_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %attica_devel
%{_includedir}/attica
%{_libdir}/libattica.so
%{_libdir}/pkgconfig/libattica.pc

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_qt4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog

* Tue Dec 27 2011 mikala <mikala> 0.3.0-1.mga2
+ Revision: 188026
- Update tarball to 0.3.0
- Update tarball to 0.2.9
- Remove patch0 merged upstream
- Update URL

* Mon Oct 24 2011 mikala <mikala> 0.2.80-2.mga2
+ Revision: 157561
- Add patch0 to fix kde #281850 ( Color scheme was not attached when "publishing" a scheme on kde-look.org)
- remove %%clean & %%defattr()
- use spaces & not tabs (fix a rpmlint warning)
- remove %%find_lang macro (not used at all)
- add cmake as BR because previous committer did not test his changes.
- update summary & description for lib package

  + ze <ze>
    - no need to buildrequire and use kde-macros
    - use rpm native macros and not variables

* Mon Jun 27 2011 mikala <mikala> 0.2.80-1.mga2
+ Revision: 114607
- Update attica to 0.2.80
- Remove BuildRoot

* Thu Jan 13 2011 mikala <mikala> 0.2.0-1.mga1
+ Revision: 14382
- imported package attica


* Sat Oct 16 2010 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 586032
- new version 0.2.0

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.1.91-1mdv2011.0
+ Revision: 577520
- new version 0.1.91

* Wed Jul 21 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.4-0.1132040.1mdv2011.0
+ Revision: 556308
- Update to new snapshot

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-2mdv2010.1
+ Revision: 540237
- rebuild so that shared libraries are properly stripped again

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.1.3-1mdv2010.1
+ Revision: 536569
- new version 0.1.3

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 492421
- New verison 0.1.2

* Wed Jan 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-0.1070828.1mdv2010.1
+ Revision: 486981
- New snapshot

* Tue Dec 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.1-0.1062690.1mdv2010.1
+ Revision: 479036
- New svn snapshot

* Thu Dec 03 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.0-0.1057723.1mdv2010.1
+ Revision: 472807
- import attica


